Source: libvm-ec2-security-credentialcache-perl
Section: perl
Priority: optional
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Florian Schlichting <fsfs@debian.org>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: libdatetime-format-iso8601-perl,
 libvm-ec2-perl,
 perl
Standards-Version: 3.9.6
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libvm-ec2-security-credentialcache-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libvm-ec2-security-credentialcache-perl.git
Homepage: https://metacpan.org/release/VM-EC2-Security-CredentialCache
Testsuite: autopkgtest-pkg-perl

Package: libvm-ec2-security-credentialcache-perl
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends},
 libdatetime-format-iso8601-perl,
 libvm-ec2-perl
Description: EC2 credential cache respecting expiration time for IAM roles
 VM::EC2::Security::CredentialCache provides a cache for an EC2's IAM
 credentials represented by VM::EC2::Security::Credentials. Rather than
 retrieving the credentials for every possible call that uses them, cache them
 until they expire and retrieve them again if they have expired.
